Bug 20386 - Improve warning and error messages for Search Engine Configuration
Summary: Improve warning and error messages for Search Engine Configuration
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching - Elasticsearch (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Claire Gravely
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-13 11:16 UTC by Claire Gravely
Modified: 2018-05-22 09:21 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20386: Improve warning and error messages for Search Engine Configuration (1.93 KB, patch)
2018-03-13 11:20 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 20386: Improve warning and error messages for Search Engine Configuration (1.99 KB, patch)
2018-03-14 09:34 UTC, Nicolas Legrand
Details | Diff | Splinter Review
Bug 20386: Improve warning and error messages for Search Engine Configuration (2.05 KB, patch)
2018-03-18 21:58 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Claire Gravely 2018-03-13 11:16:44 UTC
Warning and error messages on the search engine configuration page could be improved. /cgi-bin/koha/admin/searchenging/elasticsearch/mappings.pl
Comment 1 Claire Gravely 2018-03-13 11:20:24 UTC
Created attachment 72768 [details] [review]
Bug 20386: Improve warning and error messages for Search Engine Configuration

This patch updates a warning message and error message in the Search
engine configuration for Elasticsearch.

Note: elasticsearch does not need to be active in order to test.

To test warning message:
 1. go to: cgi-bin/koha/admin/searchengine/elasticsearch/mappings.pl
 2. note the warning message
 3. Apply patch
 4. Note the change in warning message. Confirm it makes sense.

To test error message:
  Apply patch and check the changed message in the template file mappings.tt and confirm it makes sense.
Comment 2 Nicolas Legrand 2018-03-14 09:34:05 UTC
Created attachment 72833 [details] [review]
Bug 20386: Improve warning and error messages for Search Engine Configuration

This patch updates a warning message and error message in the Search
engine configuration for Elasticsearch.

Note: elasticsearch does not need to be active in order to test.

To test warning message:
 1. go to: cgi-bin/koha/admin/searchengine/elasticsearch/mappings.pl
 2. note the warning message
 3. Apply patch
 4. Note the change in warning message. Confirm it makes sense.

To test error message:
  Apply patch and check the changed message in the template file mappings.tt and confirm it makes sense.

Signed-off-by: Nicolas Legrand <nicolas.legrand@bulac.fr>
Comment 3 Katrin Fischer 2018-03-18 21:58:24 UTC
Created attachment 73079 [details] [review]
Bug 20386: Improve warning and error messages for Search Engine Configuration

This patch updates a warning message and error message in the Search
engine configuration for Elasticsearch.

Note: elasticsearch does not need to be active in order to test.

To test warning message:
 1. go to: cgi-bin/koha/admin/searchengine/elasticsearch/mappings.pl
 2. note the warning message
 3. Apply patch
 4. Note the change in warning message. Confirm it makes sense.

To test error message:
  Apply patch and check the changed message in the template file mappings.tt and confirm it makes sense.

Signed-off-by: Nicolas Legrand <nicolas.legrand@bulac.fr>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2018-03-27 20:55:52 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 5 Nick Clemens 2018-05-14 21:25:47 UTC
Pushed to stable for 17.11.06

Awesome work all!
Comment 6 Fridolin SOMERS 2018-05-22 09:21:38 UTC
Not pushed to 17.05.x